Package org.apache.ignite.internal.cluster

## Interface IgniteClusterEx

All Superinterfaces:
  `ClusterGroup`, `ClusterGroupEx`, `IgniteAsyncSupport`, `IgniteCluster`

All Known Implementing Classes:
  `IgniteClusterImpl`

    public interface IgniteClusterEx
    extends IgniteCluster, ClusterGroupEx

### Field Summary

### Fields inherited from interface org.apache.ignite.IgniteCluster

`MAX_TAG_LENGTH`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `state​(ClusterState newState, boolean force)` Changes current cluster state to given `newState` cluster state.

### Methods inherited from interface org.apache.ignite.cluster.ClusterGroup

`forAttribute, forCacheNodes, forClientNodes, forClients, forDataNodes, forHost, forHost, forNode, forNodeId, forNodeIds, forNodes, forOldest, forOthers, forOthers, forPredicate, forRandom, forRemotes, forServers, forYoungest, hostNames, ignite, metrics, node, node, nodes, predicate`

### Methods inherited from interface org.apache.ignite.internal.cluster.ClusterGroupEx

`forCacheNodes`

### Methods inherited from interface org.apache.ignite.lang.IgniteAsyncSupport

`future, isAsync`

### Methods inherited from interface org.apache.ignite.IgniteCluster

`active, active, baselineAutoAdjustEnabled, baselineAutoAdjustStatus, baselineAutoAdjustTimeout, baselineAutoAdjustTimeout, clearStatistics, clientReconnectFuture, currentBaselineTopology, disableWal, enableStatistics, enableWal, forLocal, id, isBaselineAutoAdjustEnabled, isWalEnabled, localNode, nodeLocalMap, pingNode, resetMetrics, restartNodes, restartNodes, setBaselineTopology, setBaselineTopology, setTxTimeoutOnPartitionMapExchange, shutdownPolicy, shutdownPolicy, startNodes, startNodes, startNodesAsync, startNodesAsync, state, state, stopNodes, stopNodes, tag, tag, topology, topologyVersion, withAsync`

### Method Detail

#### state

    void state​(ClusterState newState,
               boolean force)
        throws IgniteException

Changes current cluster state to given `newState` cluster state.

NOTE: Deactivation clears in-memory caches (without persistence) including the system caches.

Parameters:
  `newState` - New cluster state.
  `force` - Force deactivation.
Throws:
  `IgniteException` - If there is an already started transaction or lock in the same thread.